import React, { Component, PropTypes } from 'react';
import { BarCharts } from 'amos-core';
import { ramDataOption } from './ramDataOption';
/**
 * ram 使用率
 */
class RamUsageRate extends Component {
  constructor(props) {
    super(props);

  }

  /**
   *渲染图表
   */
  getOption = () => {
    return ramDataOption;
  }



  render() {
    const chartStyle = { width: '400px', height: '60px' }
    return (
      <div className="pams-table-equipResource-ramcanvas" style={{ width: '100%',height: '100%' }}>
        <BarCharts
          barOps={this.getOption()}
          chartStyle={chartStyle}
        />
      </div>
    );
  }
}

RamUsageRate.propTypes = {
};

RamUsageRate.defaultProps = {
  chartStyle: { width: '100%', height: '100%' },
  chartData: []
};

export default RamUsageRate;
